ranges::v3::iterator_wrapper< I > Struct Template Reference
Utility

## Public Types

using | difference_type = difference_type_t< I >

## Public Member Functions

I | base () const
| iterator_wrapper (iterator_wrapper const &that)
| iterator_wrapper (I &i)
auto | operator* () const noexcept(noexcept(decltype(**i_)(**i_))) -> decltype(**i_)
iterator_wrapper & | operator++ ()
void | operator++ (int)
iterator_wrapper & | operator= (iterator_wrapper const &that)